Eclipse Platform Release 3.7

## org.eclipse.core.commands.operations
Interface IUndoContext

All Known Implementing Classes:
  ObjectUndoContext, UndoContext

    public interface IUndoContext

An undo context is used to "tag" operations as being applicable to a certain context. The undo context is used to filter the history of operations available for undo or redo so that only operations appropriate for a given undo context are shown when the application is presenting that context.

The scope of an undo context is defined by the application that is making undo and redo of operations available. Undo contexts may be related to application models, or may be associated with UI objects that are providing undo and redo support.

An undo context may be defined as "matching" another context. This allows applications to provide specialized implementations of an undo context that will appear in the operation history for their matching context.

Since:
  3.1

Method Summary
`String` `getLabel()` Get the label that describes the undo context.
`boolean` `matches(IUndoContext context)` Return whether the specified context is considered a match for the receiving context.

Method Detail

### getLabel

    String getLabel()

  Get the label that describes the undo context.

  Returns:
    the label for the context.

### matches

    boolean matches(IUndoContext context)

  Return whether the specified context is considered a match for the receiving context. When a context matches another context, operations that have the context are considered to also have the matching context.

  Parameters:
    `context` - the context to be checked against the receiving context.
  Returns:
    `true` if the receiving context can be considered a match for the specified context, and `false` if it cannot.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.